//+------------------------------------------------------------------+
//|                                                  +BBands_mtf.mq4 |
//|                                        Copyright  2008, masemus |
//|                                                masemus@yahoo.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, masemus"
#property link      "masemus@yahoo.com"

#property indicator_chart_window
#property indicator_buffers 8
#property indicator_color1 SeaGreen
#property indicator_color2 FireBrick
#property indicator_color3 Red
#property indicator_color4 Lime
#property indicator_width1 1
#property indicator_width2 1
#property indicator_width3 1
#property indicator_width4 1
//
#property indicator_color5 Lime
#property indicator_color6 Red
#property indicator_color7 FireBrick
#property indicator_color8 SeaGreen
#property indicator_width5 2
#property indicator_width6 2
#property indicator_width7 1
#property indicator_width8 1
//
extern int TF=5;
extern int BBands=10;
extern int Dev=2;
extern int Price_Type=5;
extern int cTiME_clr=DarkKhaki;
extern string cTiME_Fonts="Arial";
extern int cTiME_FontSZ=12;
//
// Price_Type ---------+
// 0 = PRICE_CLOSE     |
// 1 = PRICE_OPEN      |
// 2 = PRICE_HIGH      |
// 3 = PRICE_LOW       |
// 4 = PRICE_MEDIAN    |
// 5 = PRICE_TYPICAL   |
// 6 = PRICE_WEIGHTED  |
//+--------------------+
//
double buffer1[];
double buffer2[];
double buffer3[];
double buffer4[];
//
double buffer5[];
double buffer6[];
double buffer7[];
double buffer8[];
//
double s1[];

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+

int init()
{
   SetIndexBuffer(0,buffer3); SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(1,buffer4); SetIndexStyle(1,DRAW_HISTOGRAM);
   SetIndexBuffer(2,buffer1);
   SetIndexBuffer(3,buffer2);

   SetIndexBuffer(4,buffer7); SetIndexStyle(4,DRAW_HISTOGRAM);
   SetIndexBuffer(5,buffer8); SetIndexStyle(5,DRAW_HISTOGRAM);
   SetIndexBuffer(6,buffer5);
   SetIndexBuffer(7,buffer6);
   return(0);
}

//
int deinit()
{
   ObjectDelete("time");
   return(0);
}

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+

int start()
{
   int counted_bars=IndicatorCounted();
   int limit,i,Bshift;
   
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
           limit=Bars-counted_bars;

   //
   for(i=limit; i>=0; i--)
   {
      Bshift = iBarShift(Symbol(),TF,Time[i]); 
      buffer1[i] = iClose(Symbol(),TF,Bshift);
      buffer2[i] = iBands(Symbol(),TF,BBands,Dev,0,Price_Type,MODE_MAIN,Bshift);
      buffer3[i] = buffer1[i];
      buffer4[i] = buffer2[i];

      buffer5[i] = iClose(Symbol(),0,i);
      buffer6[i] = iBands(Symbol(),0,BBands,Dev,0,Price_Type,MODE_MAIN,i);
      buffer7[i] = buffer5[i];
      buffer8[i] = buffer6[i];
   }

   //
   int m,s,k;
   m=Time[0]+Period()*60-CurTime();
   i=m/60.0;
   s=m%60;
   m=(m-m%60)/60;
   //
   ObjectDelete("time");
   //
   if(ObjectFind("time") != 0)
   {
   ObjectCreate("time", OBJ_TEXT, 0, Time[0], Close[0]+ 0.0005);
   ObjectSetText("time", "                  <"+m+":"+s, cTiME_FontSZ, cTiME_Fonts, cTiME_clr);
   }
   else
   {
   ObjectMove("time", 0, Time[0], Close[0]+0.0005);
   }

   return(0);
}
//+------------------------------------------------------------------+

